Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface UserHierarchyHome

public interface UserHierarchyHome
extends BaseHome

The UserHierarchy EJB home.

Method Summary
`UserHierarchy` | `create(UserHierarchyPK pk)` Create.
`java.util.Enumeration` | `findByGroup(java.lang.String aGroup)` Find by group.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortal)` Find by portal.
`java.util.Enumeration` | `findByPortalAndGroup(java.lang.String aPortal, java.lang.String aGroup)` Find by portal and group.
`java.util.Enumeration` | `findByPortalAndUser(java.lang.String aPortal, java.lang.String aUser)` Find by portal and user.
`UserHierarchy` | `findByPrimaryKey(UserHierarchyPK pk)` Find by primary key.
`java.util.Enumeration` | `findByUser(java.lang.String aUser)` Find by user.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public UserHierarchy create(UserHierarchyPK pk)
                         throws javax.ejb.CreateException,
                                java.rmi.RemoteException

  Create.
  Parameters:
    `pk` - the primary key.
  Returns:
    `UserHierarchy` the created object.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### findByPrimaryKey

    public UserHierarchy findByPrimaryKey(UserHierarchyPK pk)
                                   throws javax.ejb.FinderException,
                                          java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `UserHierarchy` the object matching the primary key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortal)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortal` - the portal.
  Returns:
    `Enumeration` all objects that contain the portal.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByGroup

    public java.util.Enumeration findByGroup(java.lang.String aGroup)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by group.
  Parameters:
    `aGroup` - the group.
  Returns:
    `Enumeration` all objects that contain the group.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByUser

    public java.util.Enumeration findByUser(java.lang.String aUser)
                                     throws javax.ejb.FinderException,
                                            java.rmi.RemoteException

  Find by user.
  Parameters:
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that contain the user.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndGroup

    public java.util.Enumeration findByPortalAndGroup(java.lang.String aPortal,
                                                      java.lang.String aGroup)
                                               throws javax.ejb.FinderException,
                                                      java.rmi.RemoteException

  Find by portal and group.
  Parameters:
    `aPortal` - the portal.
    `aGroup` - the group.
  Returns:
    `Enumeration` all objects that match the portal and group.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortalAndUser

    public java.util.Enumeration findByPortalAndUser(java.lang.String aPortal,
                                                     java.lang.String aUser)
                                              throws javax.ejb.FinderException,
                                                     java.rmi.RemoteException

  Find by portal and user.
  Parameters:
    `aPortal` - the portal.
    `aUser` - the user.
  Returns:
    `Enumeration` all objects that match the portal and user.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved